//
// Created by rhetenor on 20.11.18.
//

#ifndef FLIPPR_DRIVER_SEVENDIGITDISPLAY_H
#define FLIPPR_DRIVER_SEVENDIGITDISPLAY_H

#include "output/items/SevenDigitDisplay.h"

#include "output/items/detail/Display.h"

namespace flippR_driver
{
namespace output
{
namespace items
{
namespace detail
{

class SevenDigitDisplay : public items::detail::Display, public items::SevenDigitDisplay
{
public:
  SevenDigitDisplay(uint8_t address, uint8_t id) :
    detail::Display(address, id) {}

  void write_score(unsigned int score) override
  {
    detail::Display::write_score(score, 7);
  }
  void write_content(std::string content) override
  {
    detail::Display::write_content(content, 7);
  }

  ~SevenDigitDisplay() override = default;

};
}
}
}
}
#endif //FLIPPR_DRIVER_SEVENDIGITDISPLAY_H
